#include<bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("TONGUOC.inp");
    ofstream f2("TONGUOC.out");
    int n;
    f1>>n;
    int t=1;
    for(int i=2;i<=n;i++)
    {
        if(n%i==0)
        {
            t++;
        }
    }
    f2<<t;
}
